Bug 819893 - (mingw-gsl) Review Request: mingw-gsl - MinGW Windows port of the GNU Scientific Library
Review Request: mingw-gsl - MinGW Windows port of the GNU Scientific Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 10:12 EDT by nucleo
Modified: 2012-06-14 20:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 20:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2012-05-08 10:12:48 EDT
Spec URL:
http://nucleo.fedorapeople.org/pkg-reviews/mingw-gsl/mingw-gsl.spec
SRPM URL:
http://nucleo.fedorapeople.org/pkg-reviews/mingw-gsl/mingw-gsl-1.15-1.fc17.src.rpm
Description:
The GNU Scientific Library (GSL) is a collection of routines for
numerical analysis, written in C.
Comment 1 nucleo 2012-05-08 10:14:18 EDT
Package builds in mock.
See http://nucleo.fedorapeople.org/pkg-reviews/mingw-gsl/
Comment 2 Erik van Pienbroek 2012-06-03 09:09:41 EDT
$ rpmlint mingw-gsl.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint mingw-gsl-1.15-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint mingw32-gsl-1.15-1.fc17.noarch.rpm mingw32-gsl-static-1.15-1.fc17.noarch.rpm mingw64-gsl-1.15-1.fc17.noarch.rpm mingw64-gsl-static-1.15-1.fc17.noarch.rpm 
mingw32-gsl.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/gsl/gsl_sf_mathieu.h
mingw32-gsl.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/gsl/gsl_cdf.h
mingw32-gsl-static.noarch: W: no-documentation
mingw64-gsl.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/gsl/gsl_sf_mathieu.h
mingw64-gsl.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/gsl/gsl_cdf.h
mingw64-gsl-static.noarch: W: no-documentation
4 packages and 0 specfiles checked; 4 errors, 2 warnings.


$ rpm --query --requires mingw32-gsl
/bin/sh  
mingw32(kernel32.dll)  
mingw32(libgsl-0.dll)  
mingw32(libgslcblas-0.dll)  
mingw32(msvcrt.dll)  
mingw32(user32.dll)  
mingw32-crt  
mingw32-filesystem >= 83
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-gsl
/bin/sh  
mingw64(kernel32.dll)  
mingw64(libgsl-0.dll)  
mingw64(libgslcblas-0.dll)  
mingw64(msvcrt.dll)  
mingw64(user32.dll)  
mingw64-crt  
mingw64-filesystem >= 83
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-gsl
mingw32(libgsl-0.dll)  
mingw32(libgslcblas-0.dll)  
mingw32-gsl = 1.15-1.fc17

$ rpm --query --provides mingw64-gsl
mingw64(libgsl-0.dll)  
mingw64(libgslcblas-0.dll)  
mingw64-gsl = 1.15-1.fc17


$ wget --quiet ftp://ftp.gnu.org/gnu/gsl/gsl-1.15.tar.gz -O - | md5sum
494ffefd90eef4ada678c306bab4030b  -
$ md5sum gsl-1.15.tar.gz 
494ffefd90eef4ada678c306bab4030b  gsl-1.15.tar.gz


+ OK
! Needs to be looked into
/ Not applicable

[!] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[/] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal

The incorrect-fsf-address rpmlint warning should be reported upstream

The no-documentation rpmlint warnings in the -static subpackages can be ignored
as the documentation is already part of the regular mingw32/mingw64 packages

Here are the remaining issues:
- Please replace the %{summary} tags with a proper summary specific to the package in question
- The 'rm -rf $RPM_BUILD_ROOT' can be removed from the %install section
- The %defattr lines in the files sections can also be removed

Please fix these minor issues before importing the package in Fedora

===============================================
 The package mingw-gsl is APPROVED by epienbro
===============================================
Comment 3 nucleo 2012-06-03 10:30:29 EDT
http://nucleo.fedorapeople.org/pkg-reviews/mingw-gsl/mingw-gsl.spec

- subpackages specific summaries
- no cleanup needed in %%install section
- removed %%defattr

Email sent to bug-gsl@gnu.org (maybe need time to appear in archives http://lists.gnu.org/archive/html/bug-gsl/ )
Comment 4 nucleo 2012-06-03 10:43:06 EDT
New Package SCM Request
=======================
Package Name: mingw-gsl
Short Description: MinGW Windows port of the GNU Scientific Library
Owners: nucleo epienbro kalev rjones
Branches: f17
Comment 5 Gwyn Ciesla 2012-06-04 08:07:37 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-06-04 08:44:39 EDT
mingw-gsl-1.15-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-gsl-1.15-2.fc17
Comment 7 Fedora Update System 2012-06-05 19:08:38 EDT
mingw-gsl-1.15-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-06-14 20:19:17 EDT
mingw-gsl-1.15-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.